Page MenuHomePhabricator

E4. Refactor the editor to be able to use it from ooui widgets
Closed, ResolvedPublic5 Story Points

Description

Make the wikitext/VE editor in Flow work with standalone initialization so we can use it with OOUI widgets.

See followup T117291: Remove old editor system.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterCreate an OOUI editor widget

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedDannyH
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedMooeypoo
ResolvedMooeypoo
OpenNone
OpenNone
OpenNone
ResolvedCatrope
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedCatrope
DuplicateNone
ResolvedMooeypoo
OpenNone
ResolvedDannyH
DuplicateMooeypoo
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
ResolvedNone
ResolvedCatrope

Event Timeline

Mooeypoo created this task.Jun 23 2015, 6:08 PM
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 23 2015, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 220665 had a related patch set uploaded (by Mooeypoo):
[SUPER-WIP] Add an editor widget

https://gerrit.wikimedia.org/r/220665

DannyH triaged this task as Normal priority.Jun 29 2015, 6:19 PM
DannyH set Security to None.
DannyH added a subscriber: DannyH.
DannyH edited a custom field.Jun 30 2015, 5:19 PM
DannyH renamed this task from Refactor the editor to be able to use it from ooui widgets to E4. Refactor the editor to be able to use it from ooui widgets.Jun 30 2015, 9:02 PM
DannyH raised the priority of this task from Normal to High.Aug 11 2015, 5:21 PM

Change 220665 merged by jenkins-bot:
Create an OOUI editor widget

https://gerrit.wikimedia.org/r/220665

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:43 PM
Catrope closed this task as Resolved.Oct 9 2015, 7:40 PM